be.fgov.ehealth.rn.commons.business.v1

## Class Message

- java.lang.Object
- - be.fgov.ehealth.rn.commons.business.v1.Message

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:49:12+01:00",
                 comments="JAXB RI v2.3.7")
      public class Message
      extends Object
      implements Serializable

  Java class for MessageType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="MessageType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Severity" type="{urn:be:fgov:ehealth:rn:commons:business:v1}SeverityType"/>
               <element name="ReasonCode">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="16"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="Diagnostic">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="256"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="AuthorCode">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="64"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="Information" type="{urn:be:fgov:ehealth:rn:commons:business:v1}InformationType" maxOccurs="15" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Message()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorCode()` Gets the value of the authorCode property.
    `String` | `getDiagnostic()` Gets the value of the diagnostic property.
    `List<InformationType>` | `getInformations()` Gets the value of the informations property.
    `String` | `getReasonCode()` Gets the value of the reasonCode property.
    `String` | `getSeverity()` Gets the value of the severity property.
    `void` | `setAuthorCode(String value)` Sets the value of the authorCode property.
    `void` | `setDiagnostic(String value)` Sets the value of the diagnostic property.
    `void` | `setReasonCode(String value)` Sets the value of the reasonCode property.
    `void` | `setSeverity(String value)` Sets the value of the severity property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Message

          public Message()

  - ### Method Detail

    - #### getSeverity

          public String getSeverity()

      Gets the value of the severity property.
      Returns:
        possible object is `String`

    - #### setSeverity

          public void setSeverity(String value)

      Sets the value of the severity property.
      Parameters:
        `value` - allowed object is `String`

    - #### getReasonCode

          public String getReasonCode()

      Gets the value of the reasonCode property.
      Returns:
        possible object is `String`

    - #### setReasonCode

          public void setReasonCode(String value)

      Sets the value of the reasonCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDiagnostic

          public String getDiagnostic()

      Gets the value of the diagnostic property.
      Returns:
        possible object is `String`

    - #### setDiagnostic

          public void setDiagnostic(String value)

      Sets the value of the diagnostic property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAuthorCode

          public String getAuthorCode()

      Gets the value of the authorCode property.
      Returns:
        possible object is `String`

    - #### setAuthorCode

          public void setAuthorCode(String value)

      Sets the value of the authorCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getInformations

          public List<InformationType> getInformations()

      Gets the value of the informations property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the informations property.

      For example, to add a new item, do as follows:

              getInformations().add(newItem);

      Objects of the following type(s) are allowed in the list `InformationType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.